Skip to main content
GET
/
v1
/
workspace
/
members

curl -X GET "https://api.caret.so/v1/workspace/members?limit=20&offset=0" \
     -H "Authorization: Bearer your_api_key_here"
{
  "items": [
    {
      "id": "user_123456789",
      "name": "John Doe",
      "email": "john@example.com",
      "profileUrl": "https://example.com/profile.jpg",
      "role": "admin",
      "createdAt": "2023-01-01T00:00:00Z",
      "folders": [
        {
          "id": "folder_123",
          "name": "Product"
        }
      ],
      "groups": [
        {
          "id": "folder_123",
          "name": "Product"
        }
      ]
    }
  ],
  "pagination": {
    "limit": 20,
    "nextOffset": null,
    "isLast": true
  }
}

Overview

This endpoint returns a paginated list of members in the workspace. You can filter the results by name or email using the search parameter.

Authentication

All API requests must use Authorization: Bearer <API_KEY>. This endpoint requires the users scope.
Authorization
string
required
Bearer token. Format: Bearer <API_KEY>.

Query Parameters

limit
number
default:"20"
Number of items per page (1-100).
offset
number
default:"0"
Starting position.
Search by name or email.

Response

items
object[]
List of workspace members.
pagination
object
Pagination metadata.

curl -X GET "https://api.caret.so/v1/workspace/members?limit=20&offset=0" \
     -H "Authorization: Bearer your_api_key_here"
{
  "items": [
    {
      "id": "user_123456789",
      "name": "John Doe",
      "email": "john@example.com",
      "profileUrl": "https://example.com/profile.jpg",
      "role": "admin",
      "createdAt": "2023-01-01T00:00:00Z",
      "folders": [
        {
          "id": "folder_123",
          "name": "Product"
        }
      ],
      "groups": [
        {
          "id": "folder_123",
          "name": "Product"
        }
      ]
    }
  ],
  "pagination": {
    "limit": 20,
    "nextOffset": null,
    "isLast": true
  }
}